Error when import example with GraphLab Create SDK

User 5045 | 4/19/2016, 4:04:03 AM

I installed graphlab by following the Anaconda option on https://dato.com/download/install-graphlab-create.html on a Ubuntu 14.04 64-bit, importing and using built-in graphlab module is successful I followed instrcutions on https://dato.com/products/create/sdk/docs/ to build example Then I am facing a similar issue as described in http://forum.dato.com/discussion/1310/using-sdk-with-sframe-open-source, seems that this issue is due to a mismatch between SDK version and graphlab version, so I tried to downgrade graphlab to 1.8.4(same as the SDK version on github) but the issue still persists, is this a problem of me or graphlab SDK?

the error message is

---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
<ipython-input-2-d6b3c31c3325> in <module>()
----> 1 import sdk_example.example1 as example1

ImportError: sdk_example/example1.so: undefined symbol: _ZN8graphlab18toolkit_class_base9list_keysEv


In [3]: import sdk_example.sgraph_edge_deduplication
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
<ipython-input-3-e1ad879585bf> in <module>()
----> 1 import sdk_example.sgraph_edge_deduplication

ImportError: sdk_example/sgraph_edge_deduplication.so: undefined symbol: _ZTVN8graphlab9gl_sframeE

In [4]: import sdk_example.sgraph_weighted_pagerank
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
<ipython-input-4-1112e0f9101d> in <module>()
----> 1 import sdk_example.sgraph_weighted_pagerank

ImportError: sdk_example/sgraph_weighted_pagerank.so: undefined symbol: _ZTVN8graphlab9gl_sframeE

Comments

User 1174 | 4/19/2016, 9:20:58 PM

Hi David,

Sorry for the inconvenience. This is indeed a bug in the graphlab-sdk. We will update the graphlab-sdk asap.


User 5045 | 4/19/2016, 9:34:05 PM

glad to hear that you will update it asap! I will work under 1.6.1 while waiting for the fix :P